package com.braintree.customersupportbackoffice.editor;

import de.hybris.bootstrap.annotations.UnitTest;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.mockito.InjectMocks;
import org.mockito.Mock;
import org.mockito.runners.MockitoJUnitRunner;

import java.util.List;

import static org.junit.Assert.assertNotNull;
import static org.junit.Assert.assertTrue;

@UnitTest
@RunWith(MockitoJUnitRunner.class)
public class BrainTreeTransactionRiskDecisionEditorTest {

    private static final String VALUE_TYPE = "java.lang.Enum(BraintreeTransactionRiskDecision)";

    @Mock
    Object initialValue;

    @InjectMocks
    private BrainTreeTransactionRiskDecisionEditor editor;


    @Test
    public void shouldReturnEmptyCollection() {
        List<Object> result  = editor.getAllValues(VALUE_TYPE, initialValue);

        assertNotNull(result);
        assertTrue(result.isEmpty());
    }
}
